<template>
  <div>
    <div class="content">
      <dataBreadcrumb :breads="breads"></dataBreadcrumb>
      <changeNav :navs="navs"></changeNav>
      <div class="message  flex-colunm">
        <div>
          <div>项目编号：{{projectCode}}</div>
          <div>项目名称：{{projectName}}</div>
        </div>
        <div>
          <div>日期：{{detail.winDate}}</div>
          <div>中标金额：{{detail.money}}元</div>
        </div>
        <div>
          <div class="flex-item">
            <div style="margin-right: 20px;">附件：中标通知书.pdf</div>
            <el-button size="mini">下载</el-button>
          </div>
          <div>中标通知书编号：{{detail.number}}</div>
        </div>
        <div class="flex-colunm notice">
          <h1>您已中标，请及时与平台签署应收账款买断合同。</h1>
          <h3>咨询电话：400-4567457</h3>
          <el-button type="primary">查看详情</el-button>
        </div>
        <el-button @click="back">返回</el-button>
      </div>
    </div>
  </div>
</template>

<script>
	import { winBookdetail} from '@api/supply/bid'
import dataBreadcrumb from '@components/dataBreadcrumb.vue'
import changeNav from '@components/changeNav.vue'
export default {
  components: {
    dataBreadcrumb,
    changeNav
  },
  data() {
    return {
		projectCode:"",
		projectName:"",
      breads: ['投标管理 ', '我参加的项目', '工作台'],
      navs: ['中标通知书'],
	  projectCode:"",
	  projectName:"",
	  detail:""
    }
  },
  methods: {
    back(){
    		this.$router.go(-1)  
    },
	async getwinBookdetail() {
	let projectId=localStorage.getItem("projectId")
	        const {
	          data,
	          code
	        } = await   winBookdetail(projectId)
			if(code==200){
				this.detail=data
			}
	    }
  },
  created() {
  	 this.projectCode=localStorage.getItem("projectCode")
  	 this.projectName=localStorage.getItem("projectName")
  	this.getwinBookdetail()
  }

}
</script>

	
<style scoped>
	.content>h1{
		text-align: center;
		margin-top:20px;
		margin-bottom:40px;
		font-weight: bold;
	}
	.content>.img{
	width: 600px;
     margin:0 auto
	}
	.enclosure{
		margin: 20px 0;
	}
	.message>div{
		display:flex;
		margin-bottom: 30px;
	}
	.message>div>div:first-child{
		margin-right:300px;
	}
	.notice{
		width: 80%;
		border:1px solid #000
	}
	.notice{
		margin-top: 200px;
		margin-bottom: 30px;
		padding: 20px 0;
	}
	.notice>h3{
		margin: 20px 0;
	}
</style>
